Bug 1301881 - dhcp does not get the right IP address based on MAC address
dhcp does not get the right IP address based on MAC address
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 04:39 EST by Didier G
Modified: 2016-12-20 13:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:12:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Didier G 2016-01-26 04:39:14 EST
Description of problem:

I use a "Orange Livebox Play" router who included a DHCP serve and I set this DHCP server to attribute a fixed IP address based on MAC address to my Fedora 23 box.

This Fedora box is a dual-boot box Fedora 23 and Windows 8.1

When booting on Windows 8.1 Windows get the right fixed address from DHCP but when booting on Fedora 23 Fedora get a random IP address in DHCP range.

I did tests with Fedora Lives.

F16 Live get the right fixed address, F21 and F23 Lives get a random address.

I noticed ifconfig return the MAC address in upper cases for F16 and in lower cases for F21 and F23


Version-Release number of selected component (if applicable):

dhcp-libs-4.3.3-8.P1.fc23.x86_64
dhcp-client-4.3.3-8.P1.fc23.x86_64
dhcp-common-4.3.3-8.P1.fc23.noarch


How reproducible:

Every time 


Steps to Reproduce:
1. dhclient -v -r
2. dhclient -v
3. ifconfig

Actual results:

Random IP


Expected results:

Fixed IP based on MAC address


Additional info:
Comment 1 Jiri Popelka 2016-01-26 06:13:46 EST
Didier, I think it's some sort of https://fedoraproject.org/wiki/Common_F21_bugs#IP_address_discovery_via_DHCP_does_not_work

You can try
# echo 'send dhcp-client-identifier = hardware;' >> /etc/dhcp/dhclient.conf
Comment 2 Didier G 2016-01-26 12:18:55 EST
Hi Jiri,

Bingo !

I created the file /etc/dhcp/dhclient.conf with the line:

send dhcp-client-identifier = hardware;

and it works.

Thanks for your help.
Comment 3 Jiri Popelka 2016-01-26 12:28:35 EST
Ok, I'll leave this open since the bug #1154200 has already been closed (even I'm not going to "fix" this - as explained in the common bugs page).
Comment 4 Fedora End Of Life 2016-11-24 10:12:19 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 13:12:57 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.